#5665 upgrade is broken for sidgen and extdom plugins
Closed: Fixed None Opened 3 years ago by abbra.

When older FreeIPA configuration is updated to 4.2.x, new entries for sidgen and extdom plugins are created with ds_enable_sidgen_extdom_plugins() function. However, the dictionary used by a templating code does not have SUFFIX set properly and plugins' basedn attributes get set to "$SUFFIX" literally.

We need to fix the upgrade code and add another upgrade path that will fix the entries created by the older upgrade code. Those entries would exist, thus new upgrade code in ds_enable_sidgen_extdom_plugins() would skip them.


master:

  • 9818e46 upgrade: fix config of sidgen and extdom plugins
  • 70bd7c8 trusts: use ipaNTTrustPartner attribute to detect trust entries
  • c96822f Warn user if trust is broken
  • 0accf8c fix upgrade: wait for proper DS socket after DS restart

ipa-4-3:

  • f12f831 upgrade: fix config of sidgen and extdom plugins
  • 9c2797d trusts: use ipaNTTrustPartner attribute to detect trust entries
  • 7dd4a7a Warn user if trust is broken
  • 4734012 fix upgrade: wait for proper DS socket after DS restart

ipa-4-2:

  • 0ac22cf upgrade: fix config of sidgen and extdom plugins
  • 10ca4df trusts: use ipaNTTrustPartner attribute to detect trust entries
  • 4338161 Warn user if trust is broken
  • 63d8caf fix upgrade: wait for proper DS socket after DS restart

Installation failed on 4.2 due this patchset

master:

  • fcc540b Fix connections to DS during installation

ipa-4-3:

  • c14fb0b Fix connections to DS during installation

ipa-4-2:

  • e2ef561 Insure the admin_conn is disconnected on stop
  • 0af8191 Fix connections to DS during installation

Metadata Update from @abbra:
- Issue assigned to mbasti
- Issue set to the milestone: FreeIPA 4.2.4

2 years ago

Login to comment on this ticket.

Metadata